libgphoto2 photo camera library (libgphoto2) API: _CameraFunctions Struct Reference

libgphoto2 photo camera library (libgphoto2) API 2.5.32

Loading...
Searching...
No Matches
_CameraFunctions Struct Reference

Various camera specific functions. More...

`#include <gphoto2-camera.h>`

Collaboration diagram for _CameraFunctions:
[legend]

## Data Fields
CameraPrePostFunc | pre_func
| Function called before each camera operation.
CameraPrePostFunc | post_func
| Function called after each camera operation.
CameraExitFunc | exit
| Function called on closing the camera.
CameraGetConfigFunc | get_config
| Called for requesting the configuration widgets.
CameraSetConfigFunc | set_config
| Called after a configuration was changed.
CameraListConfigFunc | list_config
| Called for listing the available configuration widgets.
CameraGetSingleConfigFunc | get_single_config
| Called for requesteing a single widget.
CameraSetSingleConfigFunc | set_single_config
| Called for setting a single configuration widget.
CameraCaptureFunc | capture
| Remote control the camera to capture.
CameraTriggerCaptureFunc | trigger_capture
| Remote control the camera to trigger capture.
CameraCapturePreviewFunc | capture_preview
| Preview viewfinder content.
CameraSummaryFunc | summary
| Give a summary about the current camera status, translated.
CameraManualFunc | manual
| Give a brief manual about any specific items a user has to know, translated.
CameraAboutFunc | about
| A little About text, including authors and credits.
CameraWaitForEvent | wait_for_event
| Wait for a specific event from the camera.
void * | reserved1
| reserved for future use
void * | reserved2
| reserved for future use
void * | reserved3
| reserved for future use
void * | reserved4
| reserved for future use
void * | reserved5
| reserved for future use
void * | reserved6
| reserved for future use
void * | reserved7
| reserved for future use
void * | reserved8
| reserved for future use

## Detailed Description

Various camera specific functions.

This structure contains various pointers to functions that apply to the camera itself, and not the filesystem (which is handled by the filesystem functions). Set the ones you want to provide, leave the rest unset.

This structure should only used by the driver itself, the frontend should use the gp_camera_xxx wrapper functions for it, who handle opening and locking around those hooks.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-camera.h